commit:     83395d06230927cf8dcecbf9124aecdf589f9982
Author:     Johannes Willem Fernhout <hfern <AT> fernhout <DOT> info>
AuthorDate: Mon Feb 22 15:41:44 2021 +0000
Commit:     Andrew Ammerlaan <andrewammerlaan <AT> riseup <DOT> net>
CommitDate: Mon Feb 22 15:41:44 2021 +0000
URL:        https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=83395d06

app-admin/krapplet: Version bump to 0.3.1

Exciting new release with secret validity and complexity indicator,
ability to move keys between keyrings, and a new pass compatible storage
option.

Documentation moved to https://krapplet.readthedocs.io

Signed-off-by: Johannes Willem Fernhout <hfern <AT> fernhout.info>

 app-admin/krapplet/Manifest              |  1 +
 app-admin/krapplet/krapplet-0.3.1.ebuild | 32 ++++++++++++++++++++++++++++++++
 app-admin/krapplet/metadata.xml          |  3 +++
 3 files changed, 36 insertions(+)

diff --git a/app-admin/krapplet/Manifest b/app-admin/krapplet/Manifest
index 5656c5f6..12d2f662 100644
--- a/app-admin/krapplet/Manifest
+++ b/app-admin/krapplet/Manifest
@@ -1,2 +1,3 @@
 DIST krapplet-0.1.0.tar.gz 30262 BLAKE2B 
26e6f08f6fb2dc6ebde9a328eb0a7c016debeec472fd89c02c2a1e8b86eb96834d731911a13d690f2a6c0754a109456eb645538472d1ba3e17f725e185598971
 SHA512 
dbc23cf44e059a57cd026ffa21a98cc10bf188da66c23f10a719740f8b470c8372f0298c0d4b9c6085bca8e54ad66784dc480ebfd2d8a6813a682ee8ac968c14
 DIST krapplet-0.2.0.tar.gz 35908 BLAKE2B 
264050b1803f3985b6fa98ba67370d9306c15a1545239fa366eef5966224c8b143b66fe9d6a814bcf82e29a1aa4154c998747515764a71fd249ae9254a34681e
 SHA512 
34466d94666b374050bdf990444e7cf31a89f18c2f573b978745e448fe899615addc498d629994ee68082f6dc80798c8e4697c261adbe4aaade000a7dae7cf40
+DIST krapplet-0.3.1.tar.gz 34455 BLAKE2B 
6264b0f27cd89cda939f1ffe491947e11d9ca9d2b377261831d29094be96d0e7b976379a4f56e9212a093587f0339c722006f162b4a6629f83aa25909e3aa7a8
 SHA512 
2efcf604081b6f3436d8b18c6efd6bd0be59ca45e9e0af8bf6c1b50367387e1c62a71d49da32a2860f184871f16f92a6dea9571a69c0af284a87a962b9701d2d

diff --git a/app-admin/krapplet/krapplet-0.3.1.ebuild 
b/app-admin/krapplet/krapplet-0.3.1.ebuild
new file mode 100644
index 00000000..85010cea
--- /dev/null
+++ b/app-admin/krapplet/krapplet-0.3.1.ebuild
@@ -0,0 +1,32 @@
+# Copyright 2020-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{7,8,9} )
+DISTUTILS_USE_SETUPTOOLS=bdepend
+
+inherit distutils-r1 xdg
+
+DESCRIPTION="Krapplet (keyring applet): a Linux graphical password manager"
+HOMEPAGE="https://gitlab.com/hfernh/krapplet https://pypi.org/project/krapplet";
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~x86"
+IUSE="+gnome-keyring pass"
+REQUIRED_USE="|| ( gnome-keyring pass )"
+
+# Upstream does not provide any test suite.
+RESTRICT="test"
+
+RDEPEND="
+       dev-libs/glib
+       dev-libs/gobject-introspection
+       gnome-keyring? ( dev-python/secretstorage )
+       pass? ( dev-python/python-gnupg )
+       x11-libs/gtk+:3"
+
+BDEPEND="${RDEPEND}"
+DEPEND="${BDEPEND}"

diff --git a/app-admin/krapplet/metadata.xml b/app-admin/krapplet/metadata.xml
index 75852e17..aa3eb2e0 100644
--- a/app-admin/krapplet/metadata.xml
+++ b/app-admin/krapplet/metadata.xml
@@ -5,6 +5,9 @@
                <email>[email protected]</email>
                <name>Johannes Willem (Hans) Fernhout</name>
        </maintainer>
+       <use>
+               <flag name="pass">Add support for pass compatible storage</flag>
+       </use>
        <upstream>
                <remote-id type="pypi">krapplet</remote-id>
                <remote-id type="gitlab">hfernh/krapplet</remote-id>

Reply via email to